
QGIS Application - Bug report #7508

drag'n'drop form generator wrong creation of group container

2013-04-04 05:42 AM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16458

Description

Using the drag'n'drop form generator, when a group container is added into a tab and there's more than one tab the group is added into

the wrong tab (it seems into the first one)

Associated revisions

Revision 5432618e - 2013-04-12 09:03 AM - Matthias Kuhn

[FIX #7508] drag'n'drop form generator wrong creation of group container

Revision fa9e0ac4 - 2013-04-12 09:12 AM - Werner Macho

Merge pull request #507 from matthias-kuhn/fix-7508

[FIX #7508] drag'n'drop form generator wrong creation of group container

History

#1 - 2013-04-04 07:23 AM - Matthias Kuhn

- Assignee set to Matthias Kuhn

#2 - 2013-04-04 07:35 AM - Matthias Kuhn

- Status changed from Open to Feedback

Just tested and can't reproduce:

Procedure:

=> Click '+' / Tab 'Tab1'

=> Click '+' / Tab 'Tab2'

=> Click '+' / Group 'Group1' under 'Tab1'

=> Click '+' / Group 'Group2' under 'Tab2'

Shows up as expected in the dual view window (attribute editor, form view)

Saving and loading works as well...

Please provide more info. I'll have time to have a look at this again on Monday.
#3 - 2013-04-05 12:03 AM - Luca Lanteri

You must also add some data field to reproduce the error.

Procedure:

=> Click '+' / Tab 'Tab1'

=> Click '+' / Tab 'Tab2'

=> drag a field in Tab1

=> Click '+' / Group 'Group1' under 'Tab2'

the group1 is stored under Tab1-->Field1-->group1

tested on 1.9 (ef00813)

#4 - 2013-04-07 11:53 PM - Matthias Kuhn

- Status changed from Feedback to In Progress

Fixed and waiting for pull

https://github.com/qgis/Quantum-GIS/pull/507

#5 - 2013-04-12 12:13 AM - Werner Macho

- Status changed from In Progress to Closed

Fixed in changeset commit:"fa9e0ac4e990b4ba26590672d32a6bc98c9e1aff".
